=== jubatus/wscript ===
import Options

subdirs = "util core server client"

def options(opt):
  opt.recurse(subdirs)

def configure(conf):
  conf.recurse(subdirs)

def build(bld):
  bld.recurse(subdirs)
  bld.install_files('${PREFIX}/include/jubatus',
                    ['config.hpp', 'client.hpp'])
